CMSIS-DSP: arm_levinson_durbin_q31.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_levinson_durbin_q31.c File Reference

## Macros

#define | ONE_Q31
#define | TWO_Q30
#define | HALF_Q31
#define | ONE_Q15
#define | HALF_Q15
#define | LOWPART_MASK

## Functions

__STATIC_FORCEINLINE q31_t | mul32x16 (q31_t a, q15_t b)
__STATIC_FORCEINLINE q31_t | mul32x32 (q31_t a, q31_t b)
__STATIC_FORCEINLINE q31_t | divide (q31_t n, q31_t d)
void | arm_levinson_durbin_q31 (const q31_t *phi, q31_t *a, q31_t *err, int nbCoefs)
| Levinson Durbin. More...

## Macro Definition Documentation

#define HALF_Q15

#define HALF_Q31

#define LOWPART_MASK

#define ONE_Q15

#define ONE_Q31

#define TWO_Q30

## Function Documentation

__STATIC_FORCEINLINE q31_t divide | ( | q31_t | n,
|  | q31_t | d
| ) |  |

__STATIC_FORCEINLINE q31_t mul32x16 | ( | q31_t | a,
|  | q15_t | b
| ) |  |

__STATIC_FORCEINLINE q31_t mul32x32 | ( | q31_t | a,
|  | q31_t | b
| ) |  |